import { Funding } from './src/itemProps/Funding';
import { IsEncodedByBioChemEntity } from './src/itemProps/IsEncodedByBioChemEntity';
import { IsPartOfBioChemEntity } from './src/itemProps/IsPartOfBioChemEntity';
import { TaxonomicRange } from './src/itemProps/TaxonomicRange';
import { IsInvolvedInBiologicalProcess } from './src/itemProps/IsInvolvedInBiologicalProcess';
import { IsLocatedInSubcellularLocation } from './src/itemProps/IsLocatedInSubcellularLocation';
import { AssociatedDisease } from './src/itemProps/AssociatedDisease';
import { HasMolecularFunction } from './src/itemProps/HasMolecularFunction';
import { HasBioChemEntityPart } from './src/itemProps/HasBioChemEntityPart';
import { BioChemInteraction } from './src/itemProps/BioChemInteraction';
import { HasRepresentation } from './src/itemProps/HasRepresentation';
import { BioChemSimilarity } from './src/itemProps/BioChemSimilarity';
import { BiologicalRole } from './src/itemProps/BiologicalRole';
import { MainEntityOfPage } from './src/itemProps/MainEntityOfPage';
import { AlternateName } from './src/itemProps/AlternateName';
import { Name } from './src/itemProps/Name';
import { PotentialAction } from './src/itemProps/PotentialAction';
import { Image } from './src/itemProps/Image';
import { Url } from './src/itemProps/Url';
import { Description } from './src/itemProps/Description';
import { SubjectOf } from './src/itemProps/SubjectOf';
import { AdditionalType } from './src/itemProps/AdditionalType';
import { DisambiguatingDescription } from './src/itemProps/DisambiguatingDescription';
import { SameAs } from './src/itemProps/SameAs';
import { Identifier } from './src/itemProps/Identifier';
import { BioChemEntity } from './src/BioChemEntity';
import BioChemEntityFactory from './src/BioChemEntityFactory';
export { BioChemEntityFactory, BioChemEntity, Funding, IsEncodedByBioChemEntity, IsPartOfBioChemEntity, TaxonomicRange, IsInvolvedInBiologicalProcess, IsLocatedInSubcellularLocation, AssociatedDisease, HasMolecularFunction, HasBioChemEntityPart, BioChemInteraction, HasRepresentation, BioChemSimilarity, BiologicalRole, MainEntityOfPage, AlternateName, Name, PotentialAction, Image, Url, Description, SubjectOf, AdditionalType, DisambiguatingDescription, SameAs, Identifier };
declare const _default: {
    BioChemEntity: any;
    Funding: any;
    IsEncodedByBioChemEntity: any;
    IsPartOfBioChemEntity: any;
    TaxonomicRange: any;
    IsInvolvedInBiologicalProcess: {
        PropertyValue: any;
        URL: any;
        DefinedTerm: any;
    };
    IsLocatedInSubcellularLocation: {
        PropertyValue: any;
        DefinedTerm: any;
        URL: any;
    };
    AssociatedDisease: {
        URL: any;
        PropertyValue: any;
        MedicalCondition: any;
    };
    HasMolecularFunction: {
        PropertyValue: any;
        DefinedTerm: any;
        URL: any;
    };
    HasBioChemEntityPart: any;
    BioChemInteraction: any;
    HasRepresentation: any;
    BioChemSimilarity: any;
    BiologicalRole: any;
    MainEntityOfPage: {
        CreativeWork: any;
        URL: any;
    };
    AlternateName: any;
    Name: any;
    PotentialAction: any;
    Image: {
        URL: any;
        ImageObject: any;
    };
    Url: any;
    Description: any;
    SubjectOf: {
        Event: any;
        CreativeWork: any;
    };
    AdditionalType: any;
    DisambiguatingDescription: any;
    SameAs: any;
    Identifier: any;
};
export default _default;
//# sourceMappingURL=index.d.ts.map